{% extends 'base.html.twig' %}

{% set bodyClass = 'user_user list' %}
{% set menuItem = 'user_user' %}

{% block title %}{{ 'user.user.title.list'|trans }} - {{ parent() }}{% endblock %}

{% block stylesheets %}
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/dataTables.bootstrap.min.css">
{% endblock %}

{% block body_head %}
    <h1>
        {{ 'user.user.title.list'|trans }}
        <small>
            {% if app.request.query.get('archive') == 'true' %}
                {{ 'label.archived'|trans }}
            {% else %}
                {{ 'label.not_archived'|trans }}
            {% endif %}
        </small>
    </h1>
{% endblock %}

{% block breadcrumb %}
    {% set breadcrumb = [
        { 'name': 'user.user.title.list'|trans }
    ] %}
    {% include '_breadcrumb.html.twig' with {'breadcrumb': breadcrumb} %}
{% endblock %}

{% block body %}
    <div class="row">
        <div class="col-xs-12">
            <div class="action-bar">
                <a href="{{ path('user_user_create') }}" class="btn btn-default">
                    <i class="fa fa-plus"></i>
                    {{ 'user.user.action.new'|trans }}
                </a>
                {% if app.request.query.get('archive') == 'true' %}
                    <a href="{{ path('user_user_list', {'archive' : 'false'}) }}" class="btn btn-default">
                        <i class="fa fa-archive"></i>
                        {{ 'user.user.action.not_archived'|trans }}
                    </a>
                {% else %}
                    <a href="{{ path('user_user_list', {'archive' : 'true'}) }}" class="btn btn-default">
                        <i class="fa fa-archive"></i>
                        {{ 'user.user.action.archived'|trans }}
                    </a>
                {% endif %}
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-xs-12">
            <div class="box box-solid">
                <div class="box-body">
                    <table id="table" class="table table-bordered table-hover">
                        <thead>
                        <tr>
                            <th>{{ 'user.user.list.first_name'|trans }}</th>
                            <th>{{ 'user.user.list.last_name'|trans }}</th>
                            <th>{{ 'user.user.list.email'|trans }}</th>
                            <th>{{ 'user.user.list.collectivity'|trans }}</th>
                            <th>{{ 'user.user.list.roles'|trans }}</th>
                            <th>{{ 'user.user.list.enabled'|trans }}</th>
                            <th>{{ 'label.actions'|trans }}</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for object in objects %}
                        <tr>
                            <td>{{ object.firstName }}</td>
                            <td>{{ object.lastName }}</td>
                            <td>{{ object.email }}</td>
                            <td>{{ object.collectivity }}</td>
                            <td>
                                {% for role in object.roles %}
                                    {% if 'ROLE_ADMIN' == role %}
                                        <span class="badge bg-red">
                                    {% elseif 'ROLE_USER' == role %}
                                        <span class="badge bg-blue">
                                    {% else %}
                                        <span class="badge bg-green">
                                    {% endif %}
                                            {{ role|dictionary('user_user_role') }}
                                        </span>
                                {% endfor %}
                            </td>
                            <td>
                                {% if object.enabled %}
                                    <span class="badge bg-green">{{ 'user.user.title.label'|trans }}</span>
                                {% else %}
                                    <span class="badge bg-red">{{ 'user.user.title.label'|trans }}</span>
                                {% endif %}
                                {% if object.collectivity.active %}
                                    <span class="badge bg-green">{{ 'user.collectivity.title.label'|trans }}</span>
                                {% else %}
                                    <span class="badge bg-red">{{ 'user.collectivity.title.label'|trans }}</span>
                                {% endif %}
                            </td>
                            <td>
                                {# Impersonate #}
                                {% if is_granted('CAN_CONNECT', object) and app.user != object and object.deletedAt is null %}
                                <a href="{{ path('reporting_dashboard_index', {'_switch_user': object.username}) }}">
                                    <i class="fa fa-user-lock"></i>
                                    {{ 'action.impersonate'|trans }}
                                </a>
                                {% endif %}
                                {# Edit #}
                                {% if object.deletedAt is null %}
                                <a href="{{ path('user_user_edit', { 'id': object.id }) }}">
                                    <i class="fa fa-pencil-alt"></i>
                                    {{ 'action.edit'|trans }}
                                </a>
                                {% endif %}
                                {# Archive / Unarchive #}
                                {% if object != app.user %}
                                    {% if object.deletedAt is null %}
                                        <a href="{{ path('user_user_delete', { 'id': object.id }) }}">
                                            <i class="fa fa-archive"></i>
                                            {{ 'action.archive'|trans }}
                                        </a>
                                    {% else %}
                                        <a href="{{ path('user_user_unarchive', { 'id': object.id }) }}">
                                            <i class="fa fa-archive"></i>
                                            {{ 'action.unarchive'|trans }}
                                        </a>
                                    {% endif %}
                                {% endif %}
                            </td>
                        </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
{% endblock %}

{% block javascripts %}
    {{ include('_Utils/_datatable.html.twig') }}
{% endblock %}
